import * as salesforceWebchatHelperdev from "./salesforce-helper-dev";
import * as salesforceWebchatHelperqa from "./salesforce-helper-qa";
import * as salesforceWebchatHelperprod from "./salesforce-helper-prod";

describe("Salesforce Webchat Helper Tests", () => {
    describe("Files and exposed methods exist", () => {
        it("exposes initialization methods", () => {
            expect(typeof salesforceWebchatHelperdev.initializeSalesforceWebchatForDev).toBe(
                "function"
            );
            expect(typeof salesforceWebchatHelperqa.initializeSalesforceWebchatForQa).toBe(
                "function"
            );
            expect(typeof salesforceWebchatHelperprod.initializeSalesforceWebchatForProd).toBe(
                "function"
            );
        });
    });
});
